Bug 41751 - SIGSEGV in mail500 client
SIGSEGV in mail500 client
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-05-21 19:43 EDT by Jules Agee
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-21 19:43:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jules Agee 2001-05-21 19:43:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
When mail500 is exec'd with the debug option turned on (-d1), if it
receives a request to expand a large LDAP mailing list it will overrun the
debug output buffer.

static void
send_message( char **to )
        int     pid;
        WAITSTATUSTYPE  status;

        if ( debug ) {
                char    buf[1024];

I upped the buf array size to 20480 and it works fine for me. This might
not be big enough for users with very large mailing lists. malloc?

How reproducible:

Steps to Reproduce:
1. Set up an LDAP server with a mailing list > 100 members
2. Set up mail500 as a Sendmail delivery agent with debug on
3. Send an email to the large mailing list

Actual Results:  Sendmail: mailer mail500 died with signal 11
The message is delivered to all recipients, but because of the segfault
Sendmail marks the delivery as unsuccessful, and queues the message. As a
result, the message is sent over and over again to everyone in the list.

Expected Results:  message should be delivered only once to all members of
the group.

Additional info:
Comment 1 Nalin Dahyabhai 2001-07-03 16:39:43 EDT
This will be resolved in openldap-2.0.11-5.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.